////////////////////////////////////////////////////////////////////////////////////////////
//
// PRODUCT: Norton Internet Security/Symantec Desktop Firewall
//
// NAME:    navigation_pane.js (Javascript file for navigation_pane.HTM)
//
// Copyright (c) 2001 by Symantec Corporation. All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////////////

var NISFE = 1;
var NISNOAD = 2
var NIS = 3;
var NPF = 4;
var SDF = 5;

var NOT_PRESENT =0;
var PRESENT = 1;
var PRESENT_FAKE=2;

// Pane that allows you to choose
var AccountModeHeadingPane = new WizardPane(window.AccountMode, window.AccountModeH, window.AccountMode, window.AccountModeH,
	"Account Mode", "wiz-AccountMode.htm", null, null);


// Windows Managed Panes
var WindowsManagedHeadingPane = new WizardPane(window.WindowsManaged, window.WindowsManagedH, window.WindowsManaged, window.WindowsManagedH,
	"Set Type", "wiz-SetType.htm", null, null);

var SetTypePane = new WizardPane(window.SetType, window.SetTypeH, window.WindowsManaged, window.WindowsManagedH,
	"Set Type", "wiz-SetType.htm", null, null);


// Application Managed Panes
var ApplicationManagedHeadingPane = new WizardPane(window.ApplicationManaged, window.ApplicationManagedH, window.ApplicationManaged, window.ApplicationManagedH,
	"Supervisor", "wiz-Supervisor.htm", null, null);

var SupervisorPane = new WizardPane(window.Supervisor, window.SupervisorH, window.ApplicationManaged, window.ApplicationManagedH,
	"Supervisor", "wiz-Supervisor.htm", null, null);

var CreateAccountsPane = new WizardPane(window.CreateAccounts, window.CreateAccountsH, window.ApplicationManaged, window.ApplicationManagedH,
	"Create Accounts", "wiz-CreateAccounts.htm", null, null);

var SetPasswordPane = new WizardPane(window.SetPassword, window.SetPasswordH, window.ApplicationManaged, window.ApplicationManagedH,
	"Set Password", "wiz-SetPassword.htm", null, null);
		
var DefaultAccountPane = new WizardPane(window.DefaultAccount, window.DefaultAccountH, window.ApplicationManaged, window.ApplicationManagedH,
	"Default Account", "wiz-DefaultAccount.htm", null, null);


// Summary Pane
var SummaryHeadingPane = new WizardPane(window.SummaryHeading, window.SummaryHeadingH, window.SummaryHeading, window.SummaryHeadingH,
	"Summary", "wiz-Done.htm", null, null);


// Pane Object
function WizardPane(sID, shID, sHeading, sHLHeading, sTitle, shtm, pPreviousLink, pNextLink)
{
	this.m_ID = sID;			// ID for non-HighLighted Pane
	this.m_hID = shID;			// ID for Highlighted
	this.m_Heading = sHeading;		// Heading for this Pane
	this.m_HLHeading = sHLHeading;		// Highlighed Heading for this Pane
	this.m_sTitle = sTitle;			// Title of the (Pane) Web Page
	this.m_htm  = shtm;			// WebPage Link
	this.m_bPageOn = true;			// bool switch to determine if Page exist
	this.m_pPreviousLink = pPreviousLink; 	// Pointer to Previous Pane
	this.m_pNextLink = pNextLink;		// Pointer to Next Pane	

}

// Return a pointer to the current Pane
function FindPane(sPaneID)
{	
	switch(sPaneID)
	{
		case "Account Mode":
			return 	window.AccountModeHeadingPane;
            		break;
		case "Set Type":
			return 	window.SetTypePane;
            		break;             		
		case "Supervisor":
			return 	window.SupervisorPane;
            		break;          		
		case "Create Accounts":
			return window.CreateAccountsPane;
            		break;
		case "Set Password":
			return window.SetPasswordPane;
            		break;            		
		case "Default Account":
			return window.DefaultAccountPane;
			break;
		case "Summary":
			return window.SummaryHeadingPane;
           	 	break;
	}
}

	

function SetWizardLinks()
{		
	
	
	var bFirstRun = PCWizHelper.PCWizFirstRun;
	// Remove Supervisor Pane
	if(!bFirstRun)
	{
		SupervisorPane.m_bPageOn = false;
		SupervisorPane.m_ID.style.display="none";
		SupervisorBR.style.display="none";
		SupervisorTab.style.display="none";
	}
	
	
	iAccountMode = window.parent.g_iAccountMode;
	// NEXT LINK!!!!
//	AccountModeHeadingPane.m_pNextLink = WindowsManagedHeadingPane;		// Windows Managed was selected
//	AccountModeHeadingPane.m_pNextLink = ApplicationManagedHeadingPane;	// Application Managed was selected
	if(iAccountMode == 0)
		AccountModeHeadingPane.m_pNextLink = SetTypePane;			// Windows Managed was selected
	else
	{
		// Modify for Supervisor Pane
		if(bFirstRun)		
			AccountModeHeadingPane.m_pNextLink = SupervisorPane;			// Application Managed was selected
		else
			AccountModeHeadingPane.m_pNextLink = CreateAccountsPane

		
	}

	
	// Windows Managed Selected
	if(iAccountMode == 0)
	{
		WindowsManagedHeadingPane.m_pNextLink  = SetTypePane;
		SetTypePane.m_pNextLink = SummaryHeadingPane;
	}
	
	// Application Managed Selected
		// Windows Managed Selected
	if(iAccountMode == 1)
	{
		// Modify for Supervisor Pane
		if(bFirstRun)		
			ApplicationManagedHeadingPane.m_pNextLink = CreateAccountsPane;	//First next is Create Accout
		else
			ApplicationManagedHeadingPane.m_pNextLink = SetPasswordPane;	// First "next" is SetPassword

		SupervisorPane.m_pNextLink = CreateAccountsPane;	// This line is redundant if Supervisor Page doesn't exist
		CreateAccountsPane.m_pNextLink = SetPasswordPane;
		SetPasswordPane.m_pNextLink = DefaultAccountPane;
		DefaultAccountPane.m_pNextLink = SummaryHeadingPane;
	}
	
	// Summary Heading
	SummaryHeadingPane.m_pNextLink = null;



	// BACK LINK!!!!	
	AccountModeHeadingPane.m_pPreviousLink = null;
	
	// Windows Managed Selected
	if(iAccountMode == 0)
	{
		WindowsManagedHeadingPane.m_pPreviousLink = AccountModeHeadingPane;
		SetTypePane.m_pPreviousLink = AccountModeHeadingPane;
	}
	
	// Application Managed Selected
	if(iAccountMode == 1)
	{	
		WindowsManagedHeadingPane.m_pPreviousLink = AccountModeHeadingPane;	
		SupervisorPane.m_pPreviousLink = AccountModeHeadingPane;
		
		// Modify for Supervisor Pane
		if(bFirstRun)	
			CreateAccountsPane.m_pPreviousLink = SupervisorPane;
		else
			CreateAccountsPane.m_pPreviousLink = AccountModeHeadingPane;
			
		SetPasswordPane.m_pPreviousLink = CreateAccountsPane;
		DefaultAccountPane.m_pPreviousLink = CreateAccountsPane;	
		
	}
	
	// Summary must select where to go back from
	if(iAccountMode == 0)
		SummaryHeadingPane.m_pPreviousLink = SetTypePane;	
	else
		SummaryHeadingPane.m_pPreviousLink = DefaultAccountPane;
	

}


function OnLoad()
{	
	// Set the Wizard Link for the first time.. 	
	SetWizardLinks();

}

function OnFocus()
{

	// Last Control Tab over to the <back, next, close> button.
	window.parent.frames("main",0).focus();
}

function OnKeyDownHandler()
{
	// Last Control Tab over to the <back, next, close> button.
	var VK_ESCAPE = 27;

	if (window.event.keyCode == VK_ESCAPE)
	{
		// Escape key.. We want to exit out of the wizard..
		parent.window.navigate("res://closeme.xyz");

	}
	
}